#ASIGNACIÓN A LA ALUMNA MARIA DEL CUESTIONARIO DE CIENCIAS, REALIZACIÓN DEL CUESTIONARIO DE CIENCIAS, CORRECCIÓN DEL MISMO Y CONSULTA DE LA CALIFICACIÓN POR EL ALUMNO
#En este fichero de prueba se realizan múltiples tareas:
#1.	El profesor inicia sesión 
#2.	Se va a ver cuestionarios pendientes
#3.	Se eliminan todos los cuestionarios que el alumno tenga pendientes
#4. asigna un cuestionario a un alumno
#5.	El profesor cierra sesión
#6.	El alumno inicia sesión
#7.	El alumno realiza el cuestionario que se le ha asignado
#8.	El alumno cierra sesión


import time
import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
class PythonOrgSearch(unittest.TestCase):
 def setUp(self):
  self.driver = webdriver.Firefox()
 def test_search_in_python_org(self):
  driver = self.driver
  driver.get("http://localhost/TFG_Web/index.php")
  
  #1.inicio de sesión del profesor
  self.assertIn("Plataforma de Encuestas", driver.title)
  elem = driver.find_element_by_name("nombre_usuario")
  elem.send_keys("Patricia")
  elem = driver.find_element_by_name("password")
  elem.send_keys("patricia")
  elem.send_keys(Keys.RETURN)
  time.sleep(3)
  
  #2.	Después de iniciar sesión vamos a ver los cuestionarios pendientes del primer alumno de la lista y eliminar todos los cuestionarios que tiene pendientes
  #Esto es necesario porque se le va asignar un tipo de cuestionario concreto, y como el alumno va a relizar el primer cuestionario que tenga asignado,
  #es necesario eliminar todos aquiellos que tuviera asignados anteriormente. Es como una especie de inicialización a cero
  driver.get("http://localhost/TFG_Web/listar_alumnos.php")
  time.sleep(1)
  continue_link = driver.find_element_by_partial_link_text('Ver Cuestionarios Pendientes').click()
  time.sleep(3)
  
  #3.	El campo cero del vector cuestionario_alumno[] corresponde a la opción eliminar todos los cuestionarios que el alumno tenga asignados, y es la opción que se va a elegir
  checkbox = driver.find_elements_by_name("cuestionario_alumno")
  checkbox[0].click()
  #Se envía la información a la siguiente pantalla
  #Se modifica el cuestionario
  driver.find_element_by_name("submit").click()
  time.sleep(2)
  
  #4.Asignación de un cuestionario a un alumno:
  # Se asigna el primer cuestionario de la lista (para asignar cualquier otro, basta con cambiar el índice del vector cuestionario[])
  driver.get("http://localhost/TFG_Web/mostrar_cuestionarios.php")
  time.sleep(1)  
  #checkbox es un vector que contiene todas las preguntas que se pueden añadir al cuestionario. En este caso se han elegido 
  #la primera (checkbox[0]), la segunda (checkbox[1]) y la tercera (checkbox[2])
  checkbox = driver.find_elements_by_name("cuestionario[]")
  checkbox[0].click()
  #Se envía la información a la siguiente pantalla
  #Se modifica el cuestionario
  driver.find_element_by_name("submit").click()
  time.sleep(2)
  
  # Se asigna el cuestionario seleccionado al segundo alumno de la lista (para asignar cualquier otro, basta con cambiar el índice del vector alumno[])
  #checkbox es un vector que contiene todas las preguntas que se pueden añadir al cuestionario. En este caso se han elegido 
  #la primera (checkbox[0]), la segunda (checkbox[1]) y la tercera (checkbox[2])
  checkbox = driver.find_elements_by_name("alumno[]")
  checkbox[0].click()
  #Se envía la información a la siguiente pantalla
  #Se modifica el cuestionario
  driver.find_element_by_name("submit").click()
  time.sleep(2)
  
  #5.	Cierro sesión del porfesor
  elem = driver.find_element_by_name("cerrar_sesion")
  elem.send_keys(Keys.RETURN)
  time.sleep(3)
  
  #6.inicio de sesión del alumno
  self.assertIn("Plataforma de Encuestas", driver.title)
  elem = driver.find_element_by_name("nombre_usuario")
  elem.send_keys("Luis")
  elem = driver.find_element_by_name("password")
  elem.send_keys("luis")
  elem.send_keys(Keys.RETURN)
  time.sleep(3)
  
  #7 Elección del cuestionario
  time.sleep(1)
  continue_link = driver.find_element_by_partial_link_text('Realizar cuestionario').click()
  time.sleep(3)
  #Se sabe que el cuestionario tiene una pregunta con dos opciones, una pregunta abierta, una pregunta con dos opciones y una pregunta abierta
  
  #Realización del cuestionario y entrega
  #En la primera pregunta se selecciona la primera respuesta
  checkbox = driver.find_elements_by_name("respuesta[]0")
  checkbox[0].click()
  time.sleep(2)
  #En la segunda pregunta se selecciona la segunda respuesta
  checkbox = driver.find_elements_by_name("respuesta[]1")
  checkbox[1].click()
  time.sleep(2)
  #En la tercera pregunta se escribe "respuesta 3"
  checkbox = driver.find_elements_by_name("respuesta[]2")
  checkbox[0].send_keys("respuesta 3")
  time.sleep(2)
  #En la cuarta pregunta se selecciona la primera pregunta
  checkbox = driver.find_elements_by_name("respuesta[]3")
  checkbox[0].click()
  time.sleep(2)
  
  driver.find_element_by_name("submit").click()
  time.sleep(2)
  
  #8.	Cierro sesión del alumno
  elem = driver.find_element_by_name("cerrar_sesion")
  elem.send_keys(Keys.RETURN)
  time.sleep(3)
  
  
  assert "No results found." not in driver.page_source
 def tearDown(self):
  self.driver.close()
if __name__ == "__main__":
 unittest.main()