#En este script, se ve como es inicialmente el profesor
#Deespués se edita, cambiando alguno de los campos de los datos
#Por último, se vuelve a ver el profesor, para comporbar que los cambios se han llevado a cabo

#Solo es posible ver/modificar el primer profesor de la lista porque los profesores no tienen un nombre o un id que los identifique
import time
import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
class PythonOrgSearch(unittest.TestCase):
 def setUp(self):
  self.driver = webdriver.Firefox()
 def test_search_in_python_org(self):
  driver = self.driver
  driver.get("http://localhost/TFG_Web/index.php")
  
  self.assertIn("Plataforma de Encuestas", driver.title)
  elem = driver.find_element_by_name("nombre_usuario")
  elem.send_keys("Admin")
  elem = driver.find_element_by_name("password")
  elem.send_keys("admin")
  elem.send_keys(Keys.RETURN)
  time.sleep(3)
  
  #Se ve el profesor original 
  driver.get("http://localhost/TFG_Web/listar_profesores.php")
  time.sleep(1)
  continue_link = driver.find_element_by_partial_link_text('Ver profesor').click()
  time.sleep(3)
  
  #Se edita el profesor
  driver.get("http://localhost/TFG_Web/listar_profesores.php")
  time.sleep(1)
  continue_link = driver.find_element_by_partial_link_text('Editar profesor').click()
  time.sleep(3)
  #Se modifican los campos direccion y ciudad
  #la sentencia clear() elimina el contenido actual del campo. De no hacerlo, la nueva información se ñadiría a continuación de la vieja
  #Para cualquier otro cambio, basta con añadir o quitar el nombre del campo que se quiere cambiar y repetir la operación
  elem = driver.find_element_by_name("direccion")
  elem.clear()
  time.sleep(1)
  elem.send_keys("C/ Jaén")
  time.sleep(1)
  elem = driver.find_element_by_name("ciudad")
  elem.clear()
  time.sleep(1)
  elem.send_keys("Burgos")
  time.sleep(1)
  
  #Se modifica el cuestionario
  driver.find_element_by_name("submit").click()
  time.sleep(2)
  
  driver.get("http://localhost/TFG_Web/listar_profesores.php")
  time.sleep(1)
  continue_link = driver.find_element_by_partial_link_text('Ver profesor').click()
  time.sleep(3)
  
  
  assert "No results found." not in driver.page_source
 def tearDown(self):
  self.driver.close()
if __name__ == "__main__":
 unittest.main()