#En este script, se ve como es el cuestionario inicialmente
#Deespués se edita, cambiando alguna pregunta, en concreto, añadiento o eliminado la cuarta pregunta de la lista de preguntas
#Por último, se vuelve a ver el cuestionario ya modificado, para ver que lo que se ha editado a ocurrido de verdad

#Solo es posible ver/modificar el primer cuestionario de la lista porque los cuestionarios no tienen un nombre o un id que los identifique
import time
import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
class PythonOrgSearch(unittest.TestCase):
 def setUp(self):
  self.driver = webdriver.Firefox()
 def test_search_in_python_org(self):
  driver = self.driver
  driver.get("http://localhost/TFG_Web/index.php")
  
  self.assertIn("Plataforma de Encuestas", driver.title)
  elem = driver.find_element_by_name("nombre_usuario")
  elem.send_keys("Patricia")
  elem = driver.find_element_by_name("password")
  elem.send_keys("patricia")
  elem.send_keys(Keys.RETURN)
  time.sleep(3)
  
  #Se ve el cuestionario original 
  driver.get("http://localhost/TFG_Web/listar_cuestionarios.php")
  time.sleep(1)
  continue_link = driver.find_element_by_partial_link_text('Ver cuestionario').click()
  time.sleep(3)
  
  #Se edita el cuestionario
  driver.get("http://localhost/TFG_Web/listar_cuestionarios.php")
  time.sleep(1)
  continue_link = driver.find_element_by_partial_link_text('Editar cuestionario').click()
  time.sleep(3)
  #Se añade o quita la cuarta pregunta, o lo que es lo mismo, el elemento checkbox[3]. 
  #Para cualquier otro cambio, basta con añadir o quitar checkbox[].click con los elementos de la lista que se quieran
  checkbox = driver.find_elements_by_name("pregunta[]")
  checkbox[3].click()
  time.sleep(2)
  
  #Se modifica el cuestionario
  driver.find_element_by_name("submit").click()
  time.sleep(2)
  
  driver.get("http://localhost/TFG_Web/listar_cuestionarios.php")
  time.sleep(1)
  continue_link = driver.find_element_by_partial_link_text('Ver cuestionario').click()
  time.sleep(3)
  
  
  assert "No results found." not in driver.page_source
 def tearDown(self):
  self.driver.close()
if __name__ == "__main__":
 unittest.main()
