#En este script, se ve como es inicialmente la pregunta
#Deespués se edita, cambiando alguno de los campos de los datos
#Por último, se vuelve a ver la pregunta, para comporbar que los cambios se han llevado a cabo

#Solo es posible ver/modificar ela primera pregunta de la lista porque las preguntas no tienen un nombre o un id que los identifique
import time
import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
class PythonOrgSearch(unittest.TestCase):
 def setUp(self):
  self.driver = webdriver.Firefox()
 def test_search_in_python_org(self):
  driver = self.driver
  driver.get("http://localhost/TFG_Web/index.php")
  
  self.assertIn("Plataforma de Encuestas", driver.title)
  elem = driver.find_element_by_name("nombre_usuario")
  elem.send_keys("Patricia")
  elem = driver.find_element_by_name("password")
  elem.send_keys("patricia")
  elem.send_keys(Keys.RETURN)
  time.sleep(3)
  
  #Se ve la pregunta original
  driver.get("http://localhost/TFG_Web/listar_preguntas.php")
  time.sleep(1)
  continue_link = driver.find_element_by_partial_link_text('Ver pregunta').click()
  time.sleep(3)
  
  #Se edita el alumno
  driver.get("http://localhost/TFG_Web/listar_preguntas.php")
  time.sleep(1)
  continue_link = driver.find_element_by_partial_link_text('Editar pregunta').click()
  time.sleep(3)
  #Se va a editar la pregunta --> VARIAS RESPUESTAS 
  elem = driver.find_element_by_id("tipo_pregunta_3").click()
  time.sleep(1)
  #La pregunta tiene dos respuestas
  elem = driver.find_element_by_id("respuesta_3_1").click()
  time.sleep(1)
  #La respuesta correcta es la primera
  elem = driver.find_element_by_id("respuesta_3_1_b_0").click()
  time.sleep(1)
  #El texto de la primera opción es Madrid
  elem = driver.find_element_by_name("opcion_3_0_1")
  elem.send_keys("Madrid")
  time.sleep(1)
  #El texto de la seguna opción es Barcelona
  elem = driver.find_element_by_name("opcion_3_0_2")
  elem.send_keys("Barcelona")
  
  #Se modifica el cuestionario
  driver.find_element_by_name("submit").click()
  time.sleep(2)
  
  driver.get("http://localhost/TFG_Web/listar_preguntas.php")
  time.sleep(1)
  continue_link = driver.find_element_by_partial_link_text('Ver pregunta').click()
  time.sleep(3)
  
  
  assert "No results found." not in driver.page_source
 def tearDown(self):
  self.driver.close()
if __name__ == "__main__":
 unittest.main()